## com.imcode.imcms.util.rss.imcms
Class DocumentMenuChannel

    java.lang.Object
      com.imcode.imcms.util.rss.dc.DublinCoreItem
          com.imcode.imcms.util.rss.dc.DublinCoreChannel
              com.imcode.imcms.util.rss.imcms.DocumentMenuChannel

All Implemented Interfaces:
  Channel, Item

    public class DocumentMenuChannel

extends DublinCoreChannel

Constructor Summary
`DocumentMenuChannel(TextDocument document, java.lang.String urlRoot, int menuIndex)`

Method Summary
`java.lang.Iterable<Item>` `getItems()`

Methods inherited from class com.imcode.imcms.util.rss.dc.DublinCoreItem
`getDescription, getLink, getNameSpaceBeans, getNameSpaceStrings, getTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.imcode.imcms.util.rss.Item
`getDescription, getLink, getNameSpaceBeans, getNameSpaceStrings, getTitle`

Constructor Detail

### DocumentMenuChannel

    public DocumentMenuChannel(TextDocument document,
                               java.lang.String urlRoot,
                               int menuIndex)

Method Detail

### getItems

    public java.lang.Iterable<Item> getItems()